PyDL:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- pydl v1.0.0 »
- pcomp

# pcomp

class pydl.pcomp(x, standardize=False, covariance=False)

  Bases: `object`

  Replicates the IDL `PCOMP()` function.

  The attributes of this class are all read-only properties, implemented with `lazyproperty`.

  Parameters:
    x array-like

      A 2-D array with \(N\) rows and \(M\) columns.

    standardize `bool`, optional

      If set to `True`, the input data will have its mean subtracted off and will be scaled to unit variance.

    covariance `bool`, optional.

      If set to `True`, the covariance matrix of the data will be used for the computation. Otherwise the correlation matrix will be used.

  References

  https://www.nv5geospatialsoftware.com/docs/pcomp.html

  Attributes Summary

  `coefficients` | (`ndarray`) The principal components.
  `derived` | (`ndarray`) The derived variables.
  `eigenvalues` | (`ndarray`) The eigenvalues.
  `variance` | (`ndarray`) The variances of each derived variable.

  Attributes Documentation

  coefficients

    (`ndarray`) The principal components. These are the coefficients of `derived`. Basically, they are a re-scaling of the eigenvectors.

  derived

    (`ndarray`) The derived variables.

  eigenvalues

    (`ndarray`) The eigenvalues. There is one eigenvalue for each principal component.

  variance

    (`ndarray`) The variances of each derived variable.